Retrieving, Attempting and Reviewing an Intake Form

Retrieving an Intake Form

An intake form comprises of some meta data like title, introduction message and questionnaire ID. The list of all questions of the questionnaire tied to an intake form is returned along with the intake form meta data upon retrieval.

Example Request

GET /intake-form/{id}/

Example Response

{
    "id": "3c870f7b-fdde-41cc-b615-39754b6674bf",
    "user_id": "ede136be-65ca-4bc7-99b9-7dfc7c053c47",
    "created_at": "2024-11-25T14:39:23.863228Z",
    "updated_at": "2024-11-25T14:39:23.863243Z",
    "title": "Basic Intake Form",
    "slug": "basic-intake-form-ede136",
    "introduction_message": "",
    "questionnaire_id": "6651883f-939a-4953-965e-e9954cad6f4c",
    "archived": false,
    "number_of_questions": 3,
    "questions": [
        {
            "id": "c3025210-0546-4afa-a03c-9078e13aad69",
            "question_text": "What is your name?",
            "leading_text": "",
            "followup_text": "",
            "answer_type": "free response",
            "position": 1,
            "archived": false,
            "answer_options": [
                {
                    "id": "5c840021-3eb0-490c-86f0-f09b6431c317",
                    "resourcetype": "FreeResponseOption",
                    "question_id": "c3025210-0546-4afa-a03c-9078e13aad69",
                    "option_text": "Full Name:",
                    "order": 1,
                    "archived": false
                }
            ]
        },
        {
            "id": "7b329539-31cc-48b2-9bc9-27e650c38ed5",
            "question_text": "What is your age?",
            "leading_text": "",
            "followup_text": "",
            "answer_type": "number",
            "position": 2,
            "archived": false,
            "answer_options": [
                {
                    "id": "b66f2ccb-6b75-4bc0-8b0f-a04361401aae",
                    "resourcetype": "FreeResponseOption",
                    "question_id": "7b329539-31cc-48b2-9bc9-27e650c38ed5",
                    "option_text": "Age:",
                    "order": 1,
                    "archived": false
                }
            ]
        },
        {
            "id": "24edf55f-c50a-4fda-8649-687338f63dd0",
            "question_text": "Do you have a history of diagnosis of any of the mental health conditions given below?",
            "leading_text": "",
            "followup_text": "",
            "answer_type": "multiple choices",
            "position": 3,
            "archived": false,
            "answer_options": [
                {
                    "id": "4ccf76c6-c3c6-42dd-b2ba-bbf66ec9837a",
                    "resourcetype": "MultipleChoiceOption",
                    "question_id": "24edf55f-c50a-4fda-8649-687338f63dd0",
                    "option_text": "ADHD",
                    "order": 1,
                    "archived": false
                },
                {
                    "id": "45636ee6-02a3-4aeb-8843-3b4d18a1c3cb",
                    "resourcetype": "MultipleChoiceOption",
                    "question_id": "24edf55f-c50a-4fda-8649-687338f63dd0",
                    "option_text": "Bipolar Disorder",
                    "order": 2,
                    "archived": false
                },
                {
                    "id": "bad5f0aa-1c4c-4592-87e2-75ee35a8a7c2",
                    "resourcetype": "MultipleChoiceOption",
                    "question_id": "24edf55f-c50a-4fda-8649-687338f63dd0",
                    "option_text": "Borderline Personality Disorder",
                    "order": 3,
                    "archived": false
                },
                {
                    "id": "726074d9-60f8-4f10-a6fa-c2d89cd38bff",
                    "resourcetype": "FreeResponseOption",
                    "question_id": "24edf55f-c50a-4fda-8649-687338f63dd0",
                    "option_text": "Other (please specify)",
                    "order": 4,
                    "archived": false
                }
            ]
        }
    ]
}

Attempting an Intake Form

Now that you have the questionnaire_id from the GET /intake-form/{id}/ endpoint, you can follow the Attempting Questionnaires guide to attempt or re-attempt the intake form.

Listing Answers of a Profile for an Intake Form

Please refer here.